Subject: Re: [netatalk-admins] NFS/SMB/Appleshare on the same file system

From: "Michael Rothwell" <[email-masked]>
Date: Sun, 13 Jul 1997 17:22:35 -0400

Netatalk synthesises filt type/creator information based on filename
extensions. But, with no extensions, or wrong extensions, the Macs will no
longer have the correct information supplied to them. And Mac users aren't
used to using filename extensions. Sometimes they don't even know what they
should be. And, with on-the-fly file/creator type creation, you only ever
have one choice for a given extension. With .AppleXXX files, the server
remembers what the Mac wants to see for a given file.

Another issue is icons. It's not a huge one for most people, but we produce
CD-ROMs, and need for the Finder information (icons, icon positions, window
sizes, etc.) to be preserved. 

-M
----------
> From: Michael Stone <[email-masked]>
> To: Michael Rothwell <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [netatalk-admins] NFS/SMB/Appleshare on the same file system
> Date: Sunday, July 13, 1997 5:12 PM
> 
> Quoting Michael Rothwell ([email-masked]):
> > Well, the .AppleXXXX directories are neccessary, so that the Macs can
> > 'know' about files on the server. They need the resource fork to
identify
> > the file type and creator.
> 
> Hmm. So, how do the macs figure out the file type and creator for
> files created by non-macs? If that data can be generated part of 
> the time, I don't see why it can't be generated all of the time.
> Whether that ability is useful depends on the composition of the
> machines on your network, but for people with only a few macs,
> it is annoying to have their droppings in all the directories in
> the file system. Hiding the appledoubles is aesthetically more
> pleasing for non-mac users, but it cause other problems, e.g.,
> when one of the non-mac users tries to delete a directory tree
> with hidden appledouble directories.
> 
> -- 
> Michael Stone, Sysadmin, ITRI
> [email-masked] 
> PGP: finger, or email with "Subject: get pgp key"

---

From: Michael Stone <[email-masked]>
Date: Sun, 13 Jul 1997 18:12:34 -0400

> remembers what the Mac wants to see for a given file.

I've gotten a couple of responses with points similar to this, so
I'll only respond to the first. Remember that I said that this all
depends on your network composition. If you're dealing with public
directories used by macs and pc's, the files _already_ have to be
created with the proper extensions, or the pc's won't know what to
do with them. (I'm not talking about anything exotic here, just
things like .doc, .gif, .jpg, etc.) 
 
> sizes, etc.) to be preserved. 

I never suggested that the appledoubles be gotten rid of entirely.
Instead, it would be nice to be able to specify them on a share-
by-share basis, or even as a compile time option. Even if I could
prevent them from being created in the common areas I'd still
allow them in users' personal directories, where it doesn't 
matter what extensions they use.